Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.tiles
Class PortletTilesResult

    java.lang.Object
      org.apache.struts2.dispatcher.StrutsResultSupport
          org.apache.struts2.dispatcher.ServletDispatcherResult
              org.apache.struts2.views.tiles.PortletTilesResult

All Implemented Interfaces:
  com.opensymphony.xwork2.Result, Serializable, StrutsStatics

    public class PortletTilesResult

extends ServletDispatcherResult

Dedicated Tile result to be used in Portlet environment WW-2749

See Also:
  Serialized Form

Field Summary
`static String` | `TILES_ACTION_NAME`

Fields inherited from class org.apache.struts2.dispatcher.StrutsResultSupport
`DEFAULT_PARAM, DEFAULT_URL_ENCODING, parseLocation`

Fields inherited from interface org.apache.struts2.StrutsStatics
`HTTP_REQUEST, HTTP_RESPONSE, PAGE_CONTEXT, SERVLET_CONTEXT, SERVLET_DISPATCHER, STRUTS_ACTION_TAG_INVOCATION, STRUTS_PORTLET_CONTEXT`

Constructor Summary
`PortletTilesResult()`
`PortletTilesResult(String location)`

Method Summary
`void` | `doExecute(String location, com.opensymphony.xwork2.ActionInvocation invocation)`
`protected void` | `executeActionResult(String location, com.opensymphony.xwork2.ActionInvocation invocation)`
`protected void` | `executeRenderResult(String location)`

Methods inherited from class org.apache.struts2.dispatcher.ServletDispatcherResult
`setUrlHelper`

Methods inherited from class org.apache.struts2.dispatcher.StrutsResultSupport
`conditionalParse, conditionalParseCollection, execute, getLastFinalLocation, getLocation, setEncode, setLocation, setParse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TILES_ACTION_NAME

    public static final String TILES_ACTION_NAME

See Also:
  Constant Field Values

Constructor Detail

### PortletTilesResult

    public PortletTilesResult()

### PortletTilesResult

    public PortletTilesResult(String location)

Method Detail

### doExecute

    public void doExecute(String location,
                          com.opensymphony.xwork2.ActionInvocation invocation)
                   throws Exception

  Overrides:
    `doExecute` in class `ServletDispatcherResult`
  Throws:
    `Exception`

### executeRenderResult

    protected void executeRenderResult(String location)
                                throws org.apache.tiles.TilesException

  Throws:
    `org.apache.tiles.TilesException`

### executeActionResult

    protected void executeActionResult(String location,
                                       com.opensymphony.xwork2.ActionInvocation invocation)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.